cURL
curl --request POST \
--url https://api.utilities.digitalasset.com/api/utilities/v0/registry/burn/v0/offer/{burnOfferId}/choice-contexts/cancelimport requests
url = "https://api.utilities.digitalasset.com/api/utilities/v0/registry/burn/v0/offer/{burnOfferId}/choice-contexts/cancel"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.utilities.digitalasset.com/api/utilities/v0/registry/burn/v0/offer/{burnOfferId}/choice-contexts/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"choiceContextData": {},
"disclosedContracts": [
{
"contractId": "<string>",
"templateId": "<string>",
"createdEventBlob": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"synchronizerId": "<string>",
"domainId": "<string>"
}
]
}{
"error": "unknown_error",
"error_description": "Something went wrong"
}{
"error": "unknown_error",
"error_description": "Something went wrong"
}{
"error": "unknown_error",
"error_description": "Something went wrong"
}registry
Post apiutilitiesv0registryburnv0offer choice contextscancel
Get the choice context to cancel a burn offer.
POST
/
api
/
utilities
/
v0
/
registry
/
burn
/
v0
/
offer
/
{burnOfferId}
/
choice-contexts
/
cancel
cURL
Path Parameters
The contract ID of the burn offer to cancel.
Response
ok
The context required to exercise a choice on a contract via an interface.
Used to retrieve additional reference date that is passed in via disclosed contracts,
which are in turn referred to via their contract ID in the choiceContextData.
Was this page helpful?
Post apiutilitiesv0registryburnv0offer choice contextsrejectPost apiutilitiesv0registryburnv0request choice contextsaccept
⌘I